For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Company From CG
              • GETGet Company Basic Information
              • PUTUpdate Company Basic Information
              • DELDelete Company With Related
              • GETGet BC Order Id List By Company Id
              • GETGet Company By CustomerId
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APICompany

Get Company Basic Information

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/basic-info
GET
/api/v2/io/companies/:companyId/basic-info
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "addressLine1": "123 Main Street",
5 "addressLine2": "Suite 200",
6 "catalogId": "1",
7 "catalogName": "Main Catalog",
8 "city": "Paris",
9 "companyEmail": "contact@example.com",
10 "companyId": "35",
11 "companyName": "Acme Corporation",
12 "companyStatus": "1",
13 "country": "France",
14 "description": "Acme Corporation",
15 "extraFields": [
16 {
17 "dataType": "2",
18 "fieldName": "extraStr1",
19 "fieldValue": "extra_text",
20 "isRequired": "0",
21 "labelName": "Enter your license"
22 }
23 ],
24 "phoneNumber": "10030212001",
25 "state": "BC",
26 "updatedAt": "1594192159",
27 "uuid": "111",
28 "zipCode": "1032332"
29 },
30 "message": "SUCCESS"
31}
Get company's basic information
Was this page helpful?
Previous

Create Company From CG

Next

Update Company Basic Information

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error